<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_ShoppingBasketResult StructType
 * @subpackage Structs
 */
class JP_ShoppingBasketResult extends AbstractStructBase
{
    /**
     * The Errors
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_ErrorType
     */
    public $Errors;
    /**
     * The Warnings
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_Warnings
     */
    public $Warnings;
    /**
     * The ShoppingBasket
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ShoppingBasket
     */
    public $ShoppingBasket;
    /**
     * The ShoppingBasketItems
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ShoppingBasketItems
     */
    public $ShoppingBasketItems;
    /**
     * The Url
     * @var string
     */
    public $Url;
    /**
     * The TimeStamp
     * @var string
     */
    public $TimeStamp;
    /**
     * The IntCode
     * @var string
     */
    public $IntCode;
    /**
     * Constructor method for JP_ShoppingBasketResult
     * @uses JP_ShoppingBasketResult::setErrors()
     * @uses JP_ShoppingBasketResult::setWarnings()
     * @uses JP_ShoppingBasketResult::setShoppingBasket()
     * @uses JP_ShoppingBasketResult::setShoppingBasketItems()
     * @uses JP_ShoppingBasketResult::setUrl()
     * @uses JP_ShoppingBasketResult::setTimeStamp()
     * @uses JP_ShoppingBasketResult::setIntCode()
     * @param \ArrayType\ArrayOfJP_ErrorType $errors
     * @param \StructType\JP_Warnings $warnings
     * @param \StructType\JP_ShoppingBasket $shoppingBasket
     * @param \StructType\JP_ShoppingBasketItems $shoppingBasketItems
     * @param string $url
     * @param string $timeStamp
     * @param string $intCode
     */
    public function __construct(\ArrayType\ArrayOfJP_ErrorType $errors = null, \StructType\JP_Warnings $warnings = null, \StructType\JP_ShoppingBasket $shoppingBasket = null, \StructType\JP_ShoppingBasketItems $shoppingBasketItems = null, $url = null, $timeStamp = null, $intCode = null)
    {
        $this
            ->setErrors($errors)
            ->setWarnings($warnings)
            ->setShoppingBasket($shoppingBasket)
            ->setShoppingBasketItems($shoppingBasketItems)
            ->setUrl($url)
            ->setTimeStamp($timeStamp)
            ->setIntCode($intCode);
    }
    /**
     * Get Errors value
     * @return \ArrayType\ArrayOfJP_ErrorType|null
     */
    public function getErrors()
    {
        return $this->Errors;
    }
    /**
     * Set Errors value
     * @param \ArrayType\ArrayOfJP_ErrorType $errors
     * @return \StructType\JP_ShoppingBasketResult
     */
    public function setErrors(\ArrayType\ArrayOfJP_ErrorType $errors = null)
    {
        $this->Errors = $errors;
        return $this;
    }
    /**
     * Get Warnings value
     * @return \StructType\JP_Warnings|null
     */
    public function getWarnings()
    {
        return $this->Warnings;
    }
    /**
     * Set Warnings value
     * @param \StructType\JP_Warnings $warnings
     * @return \StructType\JP_ShoppingBasketResult
     */
    public function setWarnings(\StructType\JP_Warnings $warnings = null)
    {
        $this->Warnings = $warnings;
        return $this;
    }
    /**
     * Get ShoppingBasket value
     * @return \StructType\JP_ShoppingBasket|null
     */
    public function getShoppingBasket()
    {
        return $this->ShoppingBasket;
    }
    /**
     * Set ShoppingBasket value
     * @param \StructType\JP_ShoppingBasket $shoppingBasket
     * @return \StructType\JP_ShoppingBasketResult
     */
    public function setShoppingBasket(\StructType\JP_ShoppingBasket $shoppingBasket = null)
    {
        $this->ShoppingBasket = $shoppingBasket;
        return $this;
    }
    /**
     * Get ShoppingBasketItems value
     * @return \StructType\JP_ShoppingBasketItems|null
     */
    public function getShoppingBasketItems()
    {
        return $this->ShoppingBasketItems;
    }
    /**
     * Set ShoppingBasketItems value
     * @param \StructType\JP_ShoppingBasketItems $shoppingBasketItems
     * @return \StructType\JP_ShoppingBasketResult
     */
    public function setShoppingBasketItems(\StructType\JP_ShoppingBasketItems $shoppingBasketItems = null)
    {
        $this->ShoppingBasketItems = $shoppingBasketItems;
        return $this;
    }
    /**
     * Get Url value
     * @return string|null
     */
    public function getUrl()
    {
        return $this->Url;
    }
    /**
     * Set Url value
     * @param string $url
     * @return \StructType\JP_ShoppingBasketResult
     */
    public function setUrl($url = null)
    {
        // validation for constraint: string
        if (!is_null($url) && !is_string($url)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($url, true), gettype($url)), __LINE__);
        }
        $this->Url = $url;
        return $this;
    }
    /**
     * Get TimeStamp value
     * @return string|null
     */
    public function getTimeStamp()
    {
        return $this->TimeStamp;
    }
    /**
     * Set TimeStamp value
     * @param string $timeStamp
     * @return \StructType\JP_ShoppingBasketResult
     */
    public function setTimeStamp($timeStamp = null)
    {
        // validation for constraint: string
        if (!is_null($timeStamp) && !is_string($timeStamp)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($timeStamp, true), gettype($timeStamp)), __LINE__);
        }
        $this->TimeStamp = $timeStamp;
        return $this;
    }
    /**
     * Get IntCode value
     * @return string|null
     */
    public function getIntCode()
    {
        return $this->IntCode;
    }
    /**
     * Set IntCode value
     * @param string $intCode
     * @return \StructType\JP_ShoppingBasketResult
     */
    public function setIntCode($intCode = null)
    {
        // validation for constraint: string
        if (!is_null($intCode) && !is_string($intCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($intCode, true), gettype($intCode)), __LINE__);
        }
        $this->IntCode = $intCode;
        return $this;
    }
}
